List an execution's responses, optionally as of a seq
GET
/api/v1/items/{executionId}/responses
const url = 'https://app.avera.io/api/v1/items/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/responses';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.avera.io/api/v1/items/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/responsesThe record as the branch resolves it, now or as of the given position on the project timeline. Backs the redline and report reads.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”executionId
required
string format: uuid
Query Parameters
Section titled “Query Parameters”asOfSeq
integer format: int64
Responses
Section titled “Responses”OK
Media type*/*
Array<object>
object
id
required
string format: uuid
executionCanonicalId
required
string format: uuid
promptId
required
string
subjectKey
required
string
seq
required
integer format: int64
rowSeq
required
integer format: int64
outcome
string | null
valueNumber
number | null
valueUnit
string | null
valueText
string | null
valueChoice
string | null
valueRef
string | null format: uuid
deviationRef
string | null format: uuid
evidence
required
Array<object>
object
fileId
string | null format: uuid
uri
string | null
sha256
string | null
bytes
integer | null format: int64
recordedAt
required
string format: date-time
recordedBy
required
string format: uuid
changeAuthor
required
string